%define tarver 1.3.0

Name: galculator
Version: 1.3
Release: alt1

Summary: GTK 2 based scientific calculator
License: GPL
Group: Sciences/Mathematics

Url: http://galculator.sourceforge.net
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Packager: Michael Shigorin <mike@altlinux.org>

%define gtk_ver 2.6.4

Requires: libgtk2 >= %gtk_ver
BuildPreReq: libgtk2-devel >= %gtk_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Apr 08 2004
BuildRequires: XFree86-libs flex fontconfig freetype2 glib2-devel libatk-devel libglade2-devel libgtk+2-devel libpango-devel libxml2-devel perl-XML-Parser pkgconfig

%description
Galculator is a GTK 2 based scientific RPN calculator.

%prep
%setup -q -n %name-%tarver
sed -i 's/gnome-calc2.png/calc.png/' galculator.desktop.in

%build
export LDFLAGS=-export-dynamic
%configure
%make_build

%install
%makeinstall
%find_lang --with-gnome %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_pixmapsdir/%name/*
%_datadir/%name
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%changelog
* Sat Sep 08 2007 Michael Shigorin <mike@altlinux.org> 1.3-alt1
- 1.3

* Tue Mar 20 2007 Michael Shigorin <mike@altlinux.org> 1.2.5.2-alt4
- fixed changelog
- NB: calc.png can be installed with e.g. gnome-icon-theme

* Sun Mar 18 2007 Michael Shigorin <mike@altlinux.org> 1.2.5.2-alt3
- tweaked fd.o menu to use calc.png as an icon
  (#11052; thanks Denis Samsonenko for noticing/advising)

* Sat Mar 17 2007 Michael Shigorin <mike@altlinux.org> 1.2.5.2-alt2
- removed debian menu (converted file was empty, and original
  freedesktop one is already packaged) (fixes: #11052)

* Fri Dec 15 2006 Michael Shigorin <mike@altlinux.org> 1.2.5.2-alt1.1
- rebuild

* Tue Nov 21 2006 Michael Shigorin <mike@altlinux.org> 1.2.5.2-alt1
- 1.2.5.2
- added myself as new Packager:
- spec cleanup

* Tue Apr 19 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Sat May 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Sun Mar 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Fri Mar 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sun Aug 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Jul 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- new version.

* Thu Apr 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- First build for Sisyphus.

